[12d1:1506] Huawei E398 LTE/UMTS/GSM modem does not work

Bug #1167994 reported by Marius B. Kotsbak on 2013-04-11
80
This bug affects 18 people
Affects Status Importance Assigned to Milestone
linux (Fedora)
Fix Released
Undecided
linux (Ubuntu)
Medium
Unassigned
modemmanager (Ubuntu)
Undecided
Unassigned

Bug Description

See https://answers.launchpad.net/ubuntu/+source/gnome-nettool/+question/211095

The "huawei/ndisdup-changes" branch upstream might solve this:

http://cgit.freedesktop.org/ModemManager/ModemManager/log/?h=huawei/ndisdup-changes

in addition to some kernel changes mentioned. According to https://mail.gnome.org/archives/networkmanager-list/2012-November/msg00129.html, these changes are not available in Quantal, as I get:

$ modinfo cdc_ncm
filename: /lib/modules/3.5.0-26-generic/kernel/drivers/net/usb/cdc_ncm.ko
license: Dual BSD/GPL
description: USB CDC NCM host driver
author: Hans Petter Selasky
srcversion: 37EE8DB294F0074D8A6F416
alias: usb:v*p*d*dc*dsc*dp*ic02isc0Dip00*
depends: usbnet
intree: Y
vermagic: 3.5.0-26-generic SMP mod_unload modversions 686

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1167994

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
description: updated

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.9 kernel[0]. You will need to install both the linux-image and linux-image-extra .deb packages.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.9-rc6-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: quantal
summary: - 12d1:1506 Huawei E398 LTE/UMTS/GSM modem does not work
+ [12d1:1506] Huawei E398 LTE/UMTS/GSM modem does not work
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in modemmanager (Ubuntu):
status: New → Confirmed
dess (de55) on 2013-05-07
tags: added: raring
OE4SKW (oe4skw) on 2013-05-08
information type: Public → Public Security
Brad Figg (brad-figg) on 2013-05-09
information type: Public Security → Public
Download full text (4.0 KiB)

Demonstration: https://docs.google.com/file/d/0B0nwzlfiB4aQOTM5dk5ZeDJQdHc/edit?usp=sharing

dmesg
[ 8153.859898] usb 2-3: new high-speed USB device number 5 using ehci-pci
[ 8153.975377] usb 2-3: New USB device found, idVendor=12d1, idProduct=14fe
[ 8153.975387] usb 2-3: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[ 8153.975391] usb 2-3: Product: HUAWEI Mobile
[ 8153.975395] usb 2-3: Manufacturer: HUAWEI Technology
[ 8154.021700] usb-storage 2-3:1.0: USB Mass Storage device detected
[ 8154.022707] scsi8 : usb-storage 2-3:1.0
[ 8154.023037] usb-storage 2-3:1.1: USB Mass Storage device detected
[ 8154.025153] scsi9 : usb-storage 2-3:1.1
[ 8154.673213] usb 2-3: USB disconnect, device number 5
[ 8155.026168] usb 2-3: new high-speed USB device number 6 using ehci-pci
[ 8155.141593] usb 2-3: New USB device found, idVendor=12d1, idProduct=1506
[ 8155.141607] usb 2-3: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[ 8155.141615] usb 2-3: Product: HUAWEI Mobile
[ 8155.141622] usb 2-3: Manufacturer: HUAWEI Technology
[ 8155.145379] option 2-3:1.0: GSM modem (1-port) converter detected
[ 8155.146691] usb 2-3: GSM modem (1-port) converter now attached to ttyUSB0
[ 8155.150118] usb 2-3: MAC-Address: 0c:5b:8f:27:9a:64
[ 8155.151164] cdc_ncm 2-3:1.1 wwan0: register 'cdc_ncm' at usb-0000:00:13.2-3, Mobile Broadband Network Device, 0c:5b:8f:27:9a:64
[ 8155.152316] usb-storage 2-3:1.2: USB Mass Storage device detected
[ 8155.156235] scsi10 : usb-storage 2-3:1.2
[ 8155.156563] usb-storage 2-3:1.3: USB Mass Storage device detected
[ 8155.159099] scsi11 : usb-storage 2-3:1.3
[ 8155.260584] systemd-udevd[4129]: renamed network interface wwan0 to wwp0s19f2u3i1
[ 8156.159144] scsi 10:0:0:0: CD-ROM HUAWEI Mass Storage 2.31 PQ: 0 ANSI: 2
[ 8156.164484] sr0: scsi-1 drive
[ 8156.165365] sr 10:0:0:0: Attached scsi CD-ROM sr0
[ 8156.166454] sr 10:0:0:0: Attached scsi generic sg1 type 5
[ 8156.167388] scsi 11:0:0:0: Direct-Access HUAWEI TF CARD Storage 2.31 PQ: 0 ANSI: 2
[ 8156.168833] sd 11:0:0:0: Attached scsi generic sg2 type 0
[ 8156.170970] sd 11:0:0:0: [sdb] Attached SCSI removable disk
[ 8156.524613] ISO 9660 Extensions: Microsoft Joliet Level 1
[ 8156.525147] ISOFS: changing to secondary root
[ 8156.525774] SELinux: initialized (dev sr0, type iso9660), uses genfs_contexts

[mikhail@localhost ~]$ lsusb
Bus 002 Device 006: ID 12d1:1506 Huawei Technologies Co., Ltd. E398 LTE/UMTS/GSM Modem/Networkcard
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 002: ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 002: ID 04f2:b1d8 Chicony Electronics Co., Ltd
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

[mikhail@localhost ~]$ ifconfig
lo: flags=73<UP,LOOPBACK,RUNNING> mtu 65536
        inet 127.0.0.1 netmask 255.0.0.0
        inet6 ::1 prefixlen 128 scopeid 0x10<host>
        loop txqueuelen 0 (Local Loopback)
        RX packets 1014 bytes 84012 (82.0 KiB)
        RX errors 0 dropped 0 overruns 0 frame 0
        TX packets 10...

Read more...

AlsaVersion: Advanced Linux Sound Architecture Driver Version k3.11.0-17-generic.
ApportVersion: 2.0.1-0ubuntu17.6
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 1: SB [HDA ATI SB], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: ilza 1874 F.... pulseaudio
 /dev/snd/controlC0: ilza 1874 F.... pulseaudio
CRDA: Error: [Errno 2] Arquivo ou diretório não encontrado
Card0.Amixer.info:
 Card hw:0 'Generic'/'HD-Audio Generic at 0xfeb44000 irq 40'
   Mixer name : 'ATI R6xx HDMI'
   Components : 'HDA:1002aa01,00aa0100,00100200'
   Controls : 7
   Simple ctrls : 1
Card0.Amixer.values:
 Simple mixer control 'IEC958',0
   Capabilities: pswitch pswitch-joined penum
   Playback channels: Mono
   Mono: Playback [on]
Card1.Amixer.info:
 Card hw:1 'SB'/'HDA ATI SB at 0xfeb40000 irq 16'
   Mixer name : 'Realtek ALC269VB'
   Components : 'HDA:10ec0269,12972028,00100100'
   Controls : 24
   Simple ctrls : 11
DistroRelease: Ubuntu 12.04
HibernationDevice: RESUME=UUID=34564e7d-3998-4917-8f81-cd0f45b9354f
InstallationMedia: Ubuntu 12.04.3 LTS "Precise Pangolin" - Release amd64 (20130820.1)
MachineType: PHILCO 14I
MarkForUpload: True
NonfreeKernelModules: fglrx
Package: modemmanager 0.5.2.0-0ubuntu2
PackageArchitecture: amd64
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 TERM=xterm
 PATH=(custom, no user)
 LANG=pt_BR.UTF-8
 SHELL=/bin/bash
ProcFB: 0 EFI VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.11.0-17-generic root=UUID=2e962acd-3b6b-4ef5-9269-6f11901ed8c3 ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 3.11.0-17.31~precise1-generic 3.11.10.3
RelatedPackageVersions:
 linux-restricted-modules-3.11.0-17-generic N/A
 linux-backports-modules-3.11.0-17-generic N/A
 linux-firmware 1.79.10
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
Tags: precise precise
Uname: Linux 3.11.0-17-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 10/08/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: 1.00
dmi.board.asset.tag: To be filled by O.E.M.
dmi.board.name: 14I
dmi.board.vendor: PHILCO
dmi.board.version: To be filled by O.E.M.
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 10
dmi.chassis.vendor: PHILCO
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvr1.00:bd10/08/2012:svnPHILCO:pn14I:pvrTobefilledbyO.E.M.:rvnPHILCO:rn14I:rvrTobefilledbyO.E.M.:cvnPHILCO:ct10:cvrToBeFilledByO.E.M.:
dmi.product.name: 14I
dmi.product.version: To be filled by O.E.M.
dmi.sys.vendor: PHILCO

tags: added: apport-collected precise

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora 'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 20 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Download full text (4.2 KiB)

$ lsusb
Bus 002 Device 017: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 094: ID 8564:1000 Transcend Information, Inc. JetFlash
Bus 001 Device 093: ID 18d1:4ee2 Google Inc. Nexus 4 (debug)
Bus 001 Device 008: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 001 Device 007: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
Bus 001 Device 006: ID 046d:c326 Logitech, Inc.
Bus 001 Device 004: ID 1a40:0201 Terminus Technology Inc. FE 2.1 7-port Hub
Bus 001 Device 003: ID 2109:2812 VIA Labs, Inc. VL812 Hub
Bus 001 Device 100: ID 12d1:1506 Huawei Technologies Co., Ltd. Modem/Networkcard
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

[74535.256636] usb 1-9.1.5: new high-speed USB device number 96 using xhci_hcd
[74535.330259] usb 1-9.1.5: New USB device found, idVendor=12d1, idProduct=1506
[74535.330262] usb 1-9.1.5: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[74535.330263] usb 1-9.1.5: Product: HUAWEI Mobile
[74535.330264] usb 1-9.1.5: Manufacturer: HUAWEI Technology
[74535.333377] usb-storage 1-9.1.5:1.2: USB Mass Storage device detected
[74535.334648] scsi host10: usb-storage 1-9.1.5:1.2
[74535.336330] usb-storage 1-9.1.5:1.3: USB Mass Storage device detected
[74535.336688] scsi host11: usb-storage 1-9.1.5:1.3
[74535.407059] usbcore: registered new interface driver cdc_ncm
[74535.412497] usbcore: registered new interface driver cdc_wdm
[74535.418118] huawei_cdc_ncm 1-9.1.5:1.1: MAC-Address: 0c:5b:8f:27:9a:64
[74535.418122] huawei_cdc_ncm 1-9.1.5:1.1: setting rx_max = 16384
[74535.418298] huawei_cdc_ncm 1-9.1.5:1.1: setting tx_max = 16384
[74535.420124] huawei_cdc_ncm 1-9.1.5:1.1: cdc-wdm0: USB WDM device
[74535.423082] huawei_cdc_ncm 1-9.1.5:1.1 wwan0: register 'huawei_cdc_ncm' at usb-0000:00:14.0-9.1.5, Huawei CDC NCM device, 0c:5b:8f:27:9a:64
[74535.423304] usbcore: registered new interface driver huawei_cdc_ncm
[74535.440673] huawei_cdc_ncm 1-9.1.5:1.1 wwp0s20u9u1u5i1: renamed from wwan0
[74535.493695] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff8803527e5900
[74535.501615] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88019d718480
[74535.509694] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88024405e240
[74535.517603] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88025bbbd000
[74535.525723] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88025bbbd9c0
[74535.533765] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88019d718480
[74535.541867] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88053d5f2180
[74535.887849] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88019d718480
[74535.895808] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88060a8833c0
[74535.903861] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88019d718480
[74535.911766] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff8803527e5900
[74535.919778] [drm:drm_atomic_set_fb_for_plane] Set [FB:69] for plane state ffff88060a8833c0
[74535.929775] [drm:drm_atomi...

Read more...

Hi.

This is supposed to work with Fedora 24. I'm wondering if you could retest with the updated packages from here:
https://bodhi.fedoraproject.org/updates/FEDORA-2016-494a721a73

Thank you,
Lubo

Download full text (4.5 KiB)

I see a lot of progress since 2013 year:

[164534.015746] usb 1-9.1.2: new high-speed USB device number 10 using xhci_hcd
[164534.089454] usb 1-9.1.2: New USB device found, idVendor=12d1, idProduct=14fe
[164534.089460] usb 1-9.1.2: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[164534.089463] usb 1-9.1.2: Product: HUAWEI Mobile
[164534.089464] usb 1-9.1.2: Manufacturer: HUAWEI Technology
[164534.137994] usb-storage 1-9.1.2:1.0: USB Mass Storage device detected
[164534.138472] scsi host7: usb-storage 1-9.1.2:1.0
[164534.139360] usb-storage 1-9.1.2:1.1: USB Mass Storage device detected
[164534.141915] scsi host8: usb-storage 1-9.1.2:1.1
[164534.847874] usb 1-9.1.2: USB disconnect, device number 10
[164535.095750] usb 1-9.1.2: new high-speed USB device number 11 using xhci_hcd
[164535.169356] usb 1-9.1.2: New USB device found, idVendor=12d1, idProduct=1506
[164535.169360] usb 1-9.1.2: New USB device strings: Mfr=2, Product=1, SerialNumber=0
[164535.169361] usb 1-9.1.2: Product: HUAWEI Mobile
[164535.169363] usb 1-9.1.2: Manufacturer: HUAWEI Technology
[164535.171909] usb-storage 1-9.1.2:1.2: USB Mass Storage device detected
[164535.172049] scsi host7: usb-storage 1-9.1.2:1.2
[164535.172325] usb-storage 1-9.1.2:1.3: USB Mass Storage device detected
[164535.174360] scsi host8: usb-storage 1-9.1.2:1.3
[164536.173341] scsi 7:0:0:0: CD-ROM HUAWEI Mass Storage 2.31 PQ: 0 ANSI: 2
[164536.175061] sr 7:0:0:0: [sr0] scsi-1 drive
[164536.175065] cdrom: Uniform CD-ROM driver Revision: 3.20
[164536.177504] sr 7:0:0:0: Attached scsi CD-ROM sr0
[164536.179029] sr 7:0:0:0: Attached scsi generic sg4 type 5
[164536.179954] scsi 8:0:0:0: Direct-Access HUAWEI TF CARD Storage 2.31 PQ: 0 ANSI: 2
[164536.182185] sd 8:0:0:0: Attached scsi generic sg5 type 0
[164536.184513] sd 8:0:0:0: [sde] Attached SCSI removable disk
[164537.318619] usbcore: registered new interface driver option
[164537.318680] usbserial: USB Serial support registered for GSM modem (1-port)
[164537.319036] option 1-9.1.2:1.0: GSM modem (1-port) converter detected
[164537.319678] usb 1-9.1.2: GSM modem (1-port) converter now attached to ttyUSB0
[164537.331023] option 1-9.1.2:1.1: GSM modem (1-port) converter detected
[164537.414486] usbcore: registered new interface driver cdc_ncm
[164537.436120] usbcore: registered new interface driver cdc_wdm
[164537.441863] usbcore: registered new interface driver huawei_cdc_ncm
[164537.966875] ISO 9660 Extensions: Microsoft Joliet Level 1
[164537.978845] ISOFS: changing to secondary root
[164539.711847] usb 1-9.1.2: USB disconnect, device number 11
[164539.712276] option1 ttyUSB0: GSM modem (1-port) converter now disconnected from ttyUSB0
[164539.712321] option 1-9.1.2:1.0: device disconnected
[164539.712500] option 1-9.1.2:1.1: device disconnected
[164549.096176] usb 1-9.1.2: new high-speed USB device number 12 using xhci_hcd
[164549.172601] usb 1-9.1.2: New USB device found, idVendor=12d1, idProduct=1506
[164549.172610] usb 1-9.1.2: New USB device strings: Mfr=3, Product=2, SerialNumber=0
[164549.172612] usb 1-9.1.2: Product: HUAWEI Mobile
[164549.172614] usb 1-9.1.2: Manufacturer: HUAWEI Technology
[164549.213476] option 1-9....

Read more...

Created attachment 1184667
screencast

(In reply to Mikhail from comment #4)
> But still not enough information in Network Manager why couldn't connect to
> 4G network. May be sim card is locked or broken or not enough money on
> account. This information are necessary as the air because modem sim card is
> not compatible with modern phones (Nano-SIM). And transfer SIM card to phone
> is not possible.

Are you sure, idVendor=12d1, idProduct=1506 is not the target (modem) mode? I think so, as this config is for 12d1:14fe:

# Huawei E352 (T-Mobile NL), E173s (Variant)
TargetVendor=0x12d1
TargetProductList="*1506*,150f,151d,1c1e"
HuaweiNewMode=1

Also the "option" modem device driver is loaded:
option 1-9.1.2:1.1: GSM modem (1-port) converter detected

AFAIK the E398 needs ModemManager running and a mobile broadband connection profile set up (no hostless modem).

$ lsusb
Bus 002 Device 002: ID 2109:0812 VIA Labs, Inc. VL812 Hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 004: ID 8564:1000 Transcend Information, Inc. JetFlash
Bus 001 Device 010: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 001 Device 009: ID 13fe:3623 Kingston Technology Company Inc.
Bus 001 Device 008: ID 0a12:0001 Cambridge Silicon Radio, Ltd Bluetooth Dongle (HCI mode)
Bus 001 Device 007: ID 046d:c326 Logitech, Inc.
Bus 001 Device 015: ID 12d1:1506 Huawei Technologies Co., Ltd. Modem/Networkcard
Bus 001 Device 005: ID 046d:08d9 Logitech, Inc. QuickCam IM/Connect
Bus 001 Device 003: ID 1a40:0201 Terminus Technology Inc. FE 2.1 7-port Hub
Bus 001 Device 002: ID 2109:2812 VIA Labs, Inc. VL812 Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

The modem seems works, I checked this with mmcli utility:
[mikhail@localhost ~]$ mmcli -L

Found 1 modems:
 /org/freedesktop/ModemManager1/Modem/2 [huawei] E3276

[mikhail@localhost ~]$ mmcli -m 2 --simple-status

/org/freedesktop/ModemManager1/Modem/2
  -------------------------
  Status | state: 'searching'
  -------------------------
  3GPP | subscription: 'unknown'

[mikhail@localhost ~]$ mmcli -m 2 --3gpp-scan --timeout=300

Found 10 networks:
25002 - MegaFon RUS (lte, available)
25002 - MegaFon RUS (umts, available)
25002 - MegaFon RUS (gsm, available)
25099 - Beeline (gsm, forbidden)
25001 - MTS-RUS (gsm, forbidden)
25099 - Beeline (lte, forbidden)
25001 - MTS-RUS (lte, forbidden)
25099 - Beeline (umts, forbidden)
25001 - MTS-RUS (umts, forbidden)
25011 - unknown (lte, available)

[mikhail@localhost ~]$ mmcli -m 2 --3gpp-register-home --timeout=300
error: couldn't register the modem: 'GDBus.Error:org.freedesktop.ModemManager1.Error.MobileEquipment.NetworkNotAllowed: Network not allowed - emergency calls only'

Thanks for nice documentation: http://www.lanedo.com/users/amorgado/modem-manager/api-20121005/mmcli.html

So would be good having GUI implementation in NetworkManager. Many questions have immediately fallen away.

Download full text (4.1 KiB)

After replacing SIM card:

[mikhail@localhost ~]$ mmcli -m 4 --simple-status

/org/freedesktop/ModemManager1/Modem/4
  -------------------------
  Status | state: 'connected'
         | signal quality: '70' (recent)
         | bands: 'unknown'
         | access tech: 'edge'
  -------------------------
  3GPP | registration: 'home'
         | operator code: '25002'
         | operator name: 'MegaFon'
         | subscription: 'unknown'

[mikhail@localhost ~]$ ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host
       valid_lft forever preferred_lft forever
2: enp2s0: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc fq_codel state DOWN group default qlen 1000
    link/ether 94:de:80:6b:dd:24 brd ff:ff:ff:ff:ff:ff
10: wwp0s20u9u1u2i1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UNKNOWN group default qlen 1000
    link/ether 0c:5b:8f:27:9a:64 brd ff:ff:ff:ff:ff:ff
    inet 10.210.222.123/29 brd 10.210.222.127 scope global wwp0s20u9u1u2i1
       valid_lft forever preferred_lft forever
[mikhail@localhost ~]$ route -n
Kernel IP routing table
Destination Gateway Genmask Flags Metric Ref Use Iface
0.0.0.0 10.210.222.121 0.0.0.0 UG 700 0 0 wwp0s20u9u1u2i1
10.210.222.120 0.0.0.0 255.255.255.248 U 700 0 0 wwp0s20u9u1u2i1
[mikhail@localhost ~]$ cat /etc/resolv.conf
# Generated by NetworkManager
nameserver 10.163.182.9
nameserver 10.163.182.8
[mikhail@localhost ~]$ ping bugzilla.redhat.com
ping: bugzilla.redhat.com: Name or service not known
[mikhail@localhost ~]$ ping 8.8.8.8
PING 8.8.8.8 (8.8.8.8) 56(84) bytes of data.
64 bytes from 8.8.8.8: icmp_seq=1 ttl=50 time=11379 ms
64 bytes from 8.8.8.8: icmp_seq=2 ttl=50 time=10555 ms
64 bytes from 8.8.8.8: icmp_seq=3 ttl=50 time=11440 ms
64 bytes from 8.8.8.8: icmp_seq=4 ttl=50 time=11390 ms
64 bytes from 8.8.8.8: icmp_seq=5 ttl=50 time=11428 ms
64 bytes from 8.8.8.8: icmp_seq=6 ttl=50 time=10995 ms
64 bytes from 8.8.8.8: icmp_seq=7 ttl=50 time=10282 ms
64 bytes from 8.8.8.8: icmp_seq=8 ttl=50 time=10704 ms
64 bytes from 8.8.8.8: icmp_seq=9 ttl=50 time=9868 ms
64 bytes from 8.8.8.8: icmp_seq=10 ttl=50 time=9520 ms
^C
--- 8.8.8.8 ping statistics ---
19 packets transmitted, 10 received, 47% packet loss, time 18004ms
rtt min/avg/max/mdev = 9520.882/10756.616/11440.889/659.543 ms, pipe 12
[mikhail@localhost ~]$ ping 10.163.182.9
PING 10.163.182.9 (10.163.182.9) 56(84) bytes of data.
^C
--- 10.163.182.9 ping statistics ---
58 packets transmitted, 0 received, 100% packet loss, time 56999ms

[mikhail@localhost ~]$ ping 10.163.182.8
PING 10.163.182.8 (10.163.182.8) 56(84) bytes of data.
^C
--- 10.163.182.8 ping statistics ---
55 packets transmitted, 0 received, 100% packet loss, time 53999ms

[mikhail@localhost ~]$ ping 10.210.222.121
PING 10.210.222.121 (10.210.222.121) 56(84) bytes of data.
^C
--- 10.210.222.121 ping statistics ---
84 packets transmitted, 0 received, 100% packet lo...

Read more...

All works: https://youtu.be/i0b-FCpNZV0

Time for answering questions:
1) Why 8.8.8.8 have so bad ping
Because I pulled wire from network card and connected via modem. I did not close programs and tabs in the browser, they can consume considerable traffic for modem.
And at time uses access tech: 'edge'

2) Why not pinged provider name servers.
Because they never Ping. Even under Windows.

So I close this bug report.

And open one new https://bugzilla.redhat.com/show_bug.cgi?id=1361805

Changed in linux (Fedora):
importance: Unknown → Undecided
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.